PHP versioner, udvidelser & moduler

På Simply.com's Linux-servere stræber vi efter at have de mest brugte moduler installeret mens samtidig at holde den enkelte server så stabil og hurtig som mulig.

Hvis du er interesseret i samtlige standardindstillinger og moduler på vores servere, kan du se dette i phpinfo(), du kan finde et eksempel her: http://linux1.simply.com/phpinfo.php

Der er installeret Ioncube på alle PHP webhoteller.

PHP versioner

Alle PHP-webhoteller benytter som standard nyeste version af PHP 7.2, det er den version vi anbefaler i øjeblikket.

Vi ANBEFALER IKKE du ændrer standard PHP-versionen; så sørger vi for at din side altid kører med den anbefalede og mest kompatible version.

Ændre PHP version

Ønsker du alligevel at bruge en anden PHP-version, kan det ændres ved at tilføje et direktiv til din .htaccess-fil. Du kan tilgå .htaccess-filen med vores File Manager eller med FTP. Hvis filen ikke findes skal du oprette den.

Nyeste stable PHP version (PHP 7.3)

Ønsker du altid at bruge nyeste stabile PHP version kan du tilføje følgende linje til webhotellets .htaccess-fil:

AddType application/x-httpd-php-latest .php

Binary findes her: /opt/alt/php-latest/usr/bin/php

PHP 8.0

Vi vil tilbyde PHP 8.0 i Q4 2020.

PHP 7.4

Vi vil tilbyde PHP 7.4 i Q4 2020.

PHP 7.3

Ønsker du ALTID at bruge PHP 7.3, kan du tilføje følgende linje til webhotellets .htaccess-fil:

AddType application/x-httpd-php73 .php

Binary findes her: /opt/alt/php73/usr/bin/php

PHP 7.2

Ønsker du ALTID at bruge PHP 7.2, kan du tilføje følgende linje til webhotellets .htaccess-fil:

AddType application/x-httpd-php72 .php

Binary findes her: /opt/alt/php72/usr/bin/php

PHP 7.1

Ønsker du ALTID at bruge PHP 7.1, kan du tilføje følgende linje til webhotellets .htaccess-fil:

AddType application/x-httpd-php71 .php

Binary findes her: /opt/alt/php71/usr/bin/php

PHP 7.0

Ønsker du ALTID at bruge PHP 7.0, kan du tilføje følgende linje til webhotellets .htaccess-fil:

AddType application/x-httpd-php70 .php

Binary findes her: /opt/alt/php70/usr/bin/php

Nedgrader webhotel til PHP 5.6 (forældet)

PHP 5.6 er en forældet version af PHP, som er væsentligt langsommere end PHP 7+.

Da nogle CMS ikke er opdateret eller kompatibel med PHP 7, kan man vælge at nedgradere webhotellet til PHP 5.6.

Det giver god mening at nedgradere til PHP 5.6, løse eventuelle problemer og så opgradere igen efterfølgende (ved at fjerne linjen igen), så får du også gavn af fordelene ved PHP 7.

Du kan nedgradere til PHP 5.6, ved at indsætte følgende i din .htaccess-fil

AddType application/x-httpd-php56 .php

Artikel fra kategorien PHP